NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::PointSetBuilder Class Reference

Represents a NXOpen::Features::PointSetBuilder . More...

Inheritance diagram for NXOpen::Features::PointSetBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurvePointsType {
  CurvePointsTypeEqualArcLength, CurvePointsTypeEqualParameters, CurvePointsTypeGeometricProgression, CurvePointsTypeChordalTolerance,
  CurvePointsTypeIncrementalArcLength, CurvePointsTypeSpecifiedProjectionPoints, CurvePointsTypeCurvePercentage
}
 The settings for the curve points definition. More...
 
enum  FacePointsType { FacePointsTypePattern, FacePointsTypeFacePercentage, FacePointsTypeBSurfacePoles }
 The settings for the face points definition. More...
 
enum  PatternLimitsType { PatternLimitsTypeDiagonalPoints, PatternLimitsTypePercentages }
 The settings for the pattern limit definition. More...
 
enum  SplinePointsType { SplinePointsTypeDefiningPoints, SplinePointsTypeKnots, SplinePointsTypePoles }
 The settings for the spline points definition. More...
 
enum  Types { TypesCurvePoints, TypesSplinePoints, TypesFacePoints, TypesIntersectionPoints }
 The settings for the type of Point Set feature. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance. More...
 
NXOpen::ExpressionArcLength ()
 Returns the arc length of the curve at which a point is to be created. More...
 
bool Associative ()
 Returns the associative setting. More...
 
NXOpen::ExpressionChordalTolerance ()
 Returns the chordal tolerance used in creating points. More...
 
NXOpen::Features::PointSetFacePercentageBuilderCreateFacePercentageListItem ()
 Create an entry for the face percentage list. More...
 
NXOpen::NXObjectListCurvePercentageList ()
 Returns the curve percentage list. More...
 
NXOpen::Features::PointSetBuilder::CurvePointsType CurvePointsBy ()
 Returns the curve points definition setting. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::ExpressionEndPercentage ()
 Returns the percentage of the curve at which to stop creating points. More...
 
NXOpen::SectionEndPercentageSection ()
 Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the EndPercentage Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualArcLength , NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualParameters , or NXOpen::Features::PointSetBuilder::CurvePointsTypeGeometricProgression . More...
 
NXOpen::Features::PointSetFacePercentageBuilderListFacePercentageList ()
 Returns the face percentage list. More...
 
NXOpen::Features::PointSetBuilder::FacePointsType FacePointsBy ()
 Returns the face points definition setting. More...
 
bool GroupPoints ()
 Returns the group points setting. More...
 
NXOpen::SectionIntersectionSection ()
 Returns the intersection Section. More...
 
NXOpen::SelectDisplayableObjectListIntersectionSelectedObjects ()
 Returns the intersection selected objects. More...
 
NXOpen::SelectDisplayableObjectListIntersectionSelectedObjectsSecond ()
 Returns the intersection selected objects second. More...
 
NXOpen::SectionMultipleCurveOrEdgeCollector ()
 Returns the collector that is used to hold multiple curves or edges. More...
 
NXOpen::ScCollectorMultipleFaceCollector ()
 Returns the collector that is used to hold faces. More...
 
NXOpen::ExpressionNumberOfPointsExpression ()
 Returns the number of points that will be created along curve. More...
 
NXOpen::ExpressionNumberOfPointsInUDirectionExpression ()
 Returns the number of points to be created in the u direction. More...
 
NXOpen::ExpressionNumberOfPointsInVDirectionExpression ()
 Returns the number of points to be created in the v direction. More...
 
NXOpen::Features::PointSetBuilder::PatternLimitsType PatternLimitsBy ()
 Returns the pattern limits definition setting. More...
 
NXOpen::ExpressionPatternLimitsEndingUValue ()
 Returns the ending u value of the pattern. More...
 
NXOpen::ExpressionPatternLimitsEndingVValue ()
 Returns the ending v value of the pattern. More...
 
NXOpen::PointPatternLimitsEndPoint ()
 Returns the ending diagonal point of the pattern. More...
 
NXOpen::ExpressionPatternLimitsStartingUValue ()
 Returns the starting u value of the pattern. More...
 
NXOpen::ExpressionPatternLimitsStartingVValue ()
 Returns the starting v value of the pattern. More...
 
NXOpen::PointPatternLimitsStartPoint ()
 Returns the starting diagonal point of the pattern. More...
 
NXOpen::PointListProjectionPointList ()
 Returns the projection point list. More...
 
NXOpen::ExpressionRatio ()
 Returns the ratio of geometric progression. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance. More...
 
void SetAssociative (bool associative)
 Sets the associative setting. More...
 
void SetCurvePointsBy (NXOpen::Features::PointSetBuilder::CurvePointsType curvePointsBy)
 Sets the curve points definition setting. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetFacePointsBy (NXOpen::Features::PointSetBuilder::FacePointsType facePointsBy)
 Sets the face points definition setting. More...
 
void SetGroupPoints (bool groupPoints)
 Sets the group points setting. More...
 
void SetPatternLimitsBy (NXOpen::Features::PointSetBuilder::PatternLimitsType patternLimitsBy)
 Sets the pattern limits definition setting. More...
 
void SetPatternLimitsEndPoint (NXOpen::Point *patternLimitsEndPoint)
 Sets the ending diagonal point of the pattern. More...
 
void SetPatternLimitsStartPoint (NXOpen::Point *patternLimitsStartPoint)
 Sets the starting diagonal point of the pattern. More...
 
void SetSplinePointsBy (NXOpen::Features::PointSetBuilder::SplinePointsType splinePointsBy)
 Sets the spline points definition setting. More...
 
void SetType (NXOpen::Features::PointSetBuilder::Types type)
 Sets the type setting. More...
 
NXOpen::SectionSingleCurveOrEdgeCollector ()
 Returns the collector that is used to hold a single curve or edge definition. More...
 
NXOpen::SelectFaceSingleFaceObject ()
 Returns the select object that is used to hold the face. More...
 
NXOpen::ScCollectorSplineCollector ()
 Returns the collector that is used to hold a spline. More...
 
NXOpen::Features::PointSetBuilder::SplinePointsType SplinePointsBy ()
 Returns the spline points definition setting. More...
 
NXOpen::ExpressionStartPercentage ()
 Returns the percentage of the curve at which to start creating points. More...
 
NXOpen::SectionStartPercentageSection ()
 Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the StartPercentage Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualArcLength , NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualParameters , or NXOpen::Features::PointSetBuilder::CurvePointsTypeGeometricProgression . More...
 
NXOpen::Features::PointSetBuilder::Types Type ()
 Returns the type setting. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::PointSetBuilder .

This builder is used to create and edit Point Set features. The Point Set feature allows you to create points on curves, edges or faces.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreatePointSetBuilder
Default values.

Property Value

ArcLength.Value

1 (millimeters part), 0.01 (inches part)

Associative

1

ChordalTolerance.Value

2.54 (millimeters part), 0.1 (inches part)

CurvePointsBy

EqualArcLength

EndPercentage.Value

100

FacePointsBy

Pattern

NumberOfPointsExpression.Value

2

NumberOfPointsInUDirectionExpression.Value

10

NumberOfPointsInVDirectionExpression.Value

10

PatternLimitsBy

Percentages

PatternLimitsEndingUValue.Value

100

PatternLimitsEndingVValue.Value

100

PatternLimitsStartingUValue.Value

0

PatternLimitsStartingVValue.Value

0

Ratio.Value

1

SplinePointsBy

DefiningPoints

StartPercentage.Value

0


Created in NX6.0.0.

Member Enumeration Documentation

The settings for the curve points definition.

Enumerator
CurvePointsTypeEqualArcLength 

Points will be created at equal arc length along curve.

CurvePointsTypeEqualParameters 

Points will be created at equal parameter spacing along curve.

CurvePointsTypeGeometricProgression 

Points will be created with a geometric progression along curve.

CurvePointsTypeChordalTolerance 

Points will be created based on the chordal deviation of curve.

CurvePointsTypeIncrementalArcLength 

A point will be created at the arc length spacing input.

CurvePointsTypeSpecifiedProjectionPoints 

Points will be created at minimum distance to curve.

CurvePointsTypeCurvePercentage 

A point will be created at given curve percentage.

The settings for the face points definition.

Enumerator
FacePointsTypePattern 

Points will be created based on a defined pattern.

FacePointsTypeFacePercentage 

A point will be created at given face percentages.

FacePointsTypeBSurfacePoles 

Points will be created at surface poles.

The settings for the pattern limit definition.

Enumerator
PatternLimitsTypeDiagonalPoints 

The pattern limit is defined by two points.

PatternLimitsTypePercentages 

The pattern limit is defined by surface U and V values.

The settings for the spline points definition.

Enumerator
SplinePointsTypeDefiningPoints 

Points will be created at spline defining points.

SplinePointsTypeKnots 

Points will be created at spline knot points.

SplinePointsTypePoles 

Points will be created at spline pole points.

The settings for the type of Point Set feature.

Enumerator
TypesCurvePoints 

Create points along curve.

TypesSplinePoints 

Create points along spline.

TypesFacePoints 

Create points on face.

TypesIntersectionPoints 

Create intersection points.

Member Function Documentation

double NXOpen::Features::PointSetBuilder::AngleTolerance ( )

Returns the angle tolerance.

Used in determining curve tangency when needed.
Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::ArcLength ( )

Returns the arc length of the curve at which a point is to be created.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeIncrementalArcLength .


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::PointSetBuilder::Associative ( )

Returns the associative setting.

true indicates a feature will be created, false indicates just points will be created
Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::ChordalTolerance ( )

Returns the chordal tolerance used in creating points.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeChordalTolerance .


Created in NX6.0.0.

License requirements : None

NXOpen::Features::PointSetFacePercentageBuilder* NXOpen::Features::PointSetBuilder::CreateFacePercentageListItem ( )

Create an entry for the face percentage list.

Returns

Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::NXObjectList* NXOpen::Features::PointSetBuilder::CurvePercentageList ( )

Returns the curve percentage list.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeCurvePercentage .


Created in NX6.0.0.

License requirements : None

NXOpen::Features::PointSetBuilder::CurvePointsType NXOpen::Features::PointSetBuilder::CurvePointsBy ( )

Returns the curve points definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints .


Created in NX6.0.0.

License requirements : None

double NXOpen::Features::PointSetBuilder::DistanceTolerance ( )

Returns the distance tolerance.

Used in combining curves when needed.
Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::EndPercentage ( )
NXOpen::Section* NXOpen::Features::PointSetBuilder::EndPercentageSection ( )

Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the EndPercentage Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualArcLength , NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualParameters , or NXOpen::Features::PointSetBuilder::CurvePointsTypeGeometricProgression .


Created in NX6.0.0.

License requirements : None

NXOpen::Features::PointSetFacePercentageBuilderList* NXOpen::Features::PointSetBuilder::FacePercentageList ( )

Returns the face percentage list.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypeFacePercentage .


Created in NX6.0.0.

License requirements : None

NXOpen::Features::PointSetBuilder::FacePointsType NXOpen::Features::PointSetBuilder::FacePointsBy ( )

Returns the face points definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints .


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::PointSetBuilder::GroupPoints ( )

Returns the group points setting.

true indicates a points will be grouped together. This setting is applicable only when associative is false.
Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Features::PointSetBuilder::IntersectionSection ( )

Returns the intersection Section.

This is used only, when NXOpen::Features::PointSetBuilder::Types is NXOpen::Features::PointSetBuilder::TypesIntersectionPoints


Deprecated:
Deprecated in NX9.0.0. Please use NXOpen::Features::PointSetBuilder::IntersectionSelectedObjectsSecond instead.


Created in NX8.5.0.

License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::PointSetBuilder::IntersectionSelectedObjects ( )

Returns the intersection selected objects.

This is used only, when NXOpen::Features::PointSetBuilder::Types is NXOpen::Features::PointSetBuilder::TypesIntersectionPoints . Only NXOpen::Section or NXOpen::ScCollector are allowed as intersection selected objects.


Created in NX8.5.0.

License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::PointSetBuilder::IntersectionSelectedObjectsSecond ( )

Returns the intersection selected objects second.

This is used only, when NXOpen::Features::PointSetBuilder::Types is NXOpen::Features::PointSetBuilder::TypesIntersectionPoints


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::PointSetBuilder::MultipleCurveOrEdgeCollector ( )

Returns the collector that is used to hold multiple curves or edges.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeSpecifiedProjectionPoints , or NXOpen::Features::PointSetBuilder::CurvePointsTypeIncrementalArcLength .


Created in NX6.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::PointSetBuilder::MultipleFaceCollector ( )
NXOpen::Expression* NXOpen::Features::PointSetBuilder::NumberOfPointsExpression ( )
NXOpen::Expression* NXOpen::Features::PointSetBuilder::NumberOfPointsInUDirectionExpression ( )

Returns the number of points to be created in the u direction.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern .


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::NumberOfPointsInVDirectionExpression ( )

Returns the number of points to be created in the v direction.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern .


Created in NX7.5.0.

License requirements : None

NXOpen::Features::PointSetBuilder::PatternLimitsType NXOpen::Features::PointSetBuilder::PatternLimitsBy ( )

Returns the pattern limits definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern .


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::PatternLimitsEndingUValue ( )
NXOpen::Expression* NXOpen::Features::PointSetBuilder::PatternLimitsEndingVValue ( )
NXOpen::Point* NXOpen::Features::PointSetBuilder::PatternLimitsEndPoint ( )
NXOpen::Expression* NXOpen::Features::PointSetBuilder::PatternLimitsStartingUValue ( )
NXOpen::Expression* NXOpen::Features::PointSetBuilder::PatternLimitsStartingVValue ( )
NXOpen::Point* NXOpen::Features::PointSetBuilder::PatternLimitsStartPoint ( )
NXOpen::PointList* NXOpen::Features::PointSetBuilder::ProjectionPointList ( )

Returns the projection point list.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeSpecifiedProjectionPoints .


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::Ratio ( )

Returns the ratio of geometric progression.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeGeometricProgression .


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::PointSetBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance.

Used in determining curve tangency when needed.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::Features::PointSetBuilder::SetAssociative ( bool  associative)

Sets the associative setting.

true indicates a feature will be created, false indicates just points will be created
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::PointSetBuilder::SetCurvePointsBy ( NXOpen::Features::PointSetBuilder::CurvePointsType  curvePointsBy)

Sets the curve points definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
curvePointsBycurvepointsby
void NXOpen::Features::PointSetBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.

Used in combining curves when needed.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::PointSetBuilder::SetFacePointsBy ( NXOpen::Features::PointSetBuilder::FacePointsType  facePointsBy)

Sets the face points definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
facePointsByfacepointsby
void NXOpen::Features::PointSetBuilder::SetGroupPoints ( bool  groupPoints)

Sets the group points setting.

true indicates a points will be grouped together. This setting is applicable only when associative is false.
Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
groupPointsgrouppoints
void NXOpen::Features::PointSetBuilder::SetPatternLimitsBy ( NXOpen::Features::PointSetBuilder::PatternLimitsType  patternLimitsBy)

Sets the pattern limits definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
patternLimitsBypatternlimitsby
void NXOpen::Features::PointSetBuilder::SetPatternLimitsEndPoint ( NXOpen::Point patternLimitsEndPoint)

Sets the ending diagonal point of the pattern.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern , and when NXOpen::Features::PointSetBuilder::PatternLimitsBy is NXOpen::Features::PointSetBuilder::PatternLimitsTypeDiagonalPoints .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
patternLimitsEndPointpatternlimitsendpoint
void NXOpen::Features::PointSetBuilder::SetPatternLimitsStartPoint ( NXOpen::Point patternLimitsStartPoint)

Sets the starting diagonal point of the pattern.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern , and when NXOpen::Features::PointSetBuilder::PatternLimitsBy is NXOpen::Features::PointSetBuilder::PatternLimitsTypeDiagonalPoints .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
patternLimitsStartPointpatternlimitsstartpoint
void NXOpen::Features::PointSetBuilder::SetSplinePointsBy ( NXOpen::Features::PointSetBuilder::SplinePointsType  splinePointsBy)

Sets the spline points definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesSplinePoints .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
splinePointsBysplinepointsby
void NXOpen::Features::PointSetBuilder::SetType ( NXOpen::Features::PointSetBuilder::Types  type)

Sets the type setting.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
typetype
NXOpen::Section* NXOpen::Features::PointSetBuilder::SingleCurveOrEdgeCollector ( )
NXOpen::SelectFace* NXOpen::Features::PointSetBuilder::SingleFaceObject ( )

Returns the select object that is used to hold the face.

Only used when type is NXOpen::Features::PointSetBuilder::TypesFacePoints , and when NXOpen::Features::PointSetBuilder::FacePointsBy is NXOpen::Features::PointSetBuilder::FacePointsTypePattern .


Created in NX6.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::PointSetBuilder::SplineCollector ( )

Returns the collector that is used to hold a spline.

Only used when type is NXOpen::Features::PointSetBuilder::TypesSplinePoints .


Created in NX6.0.0.

License requirements : None

NXOpen::Features::PointSetBuilder::SplinePointsType NXOpen::Features::PointSetBuilder::SplinePointsBy ( )

Returns the spline points definition setting.

Only used when type is NXOpen::Features::PointSetBuilder::TypesSplinePoints .


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::PointSetBuilder::StartPercentage ( )
NXOpen::Section* NXOpen::Features::PointSetBuilder::StartPercentageSection ( )

Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the StartPercentage Only used when type is NXOpen::Features::PointSetBuilder::TypesCurvePoints , and when NXOpen::Features::PointSetBuilder::CurvePointsBy is NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualArcLength , NXOpen::Features::PointSetBuilder::CurvePointsTypeEqualParameters , or NXOpen::Features::PointSetBuilder::CurvePointsTypeGeometricProgression .


Created in NX6.0.0.

License requirements : None

NXOpen::Features::PointSetBuilder::Types NXOpen::Features::PointSetBuilder::Type ( )

Returns the type setting.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.